
def letter_count(word):
    """
    Count the number of times each character appears in a word
    :param word: a string
    :return: a dictionary that maps each letter in the word to the number of times that letter appears.
    >>> letter_count('banana')
    {'b': 1, 'a': 3, 'n': 2}
    >>> letter_count('')
    {}
    >>> letter_count('aaahhh!')
    {'a': 3, 'h': 3, '!': 1}
    """
    pass


def suffix_count(words):
    """
    Counts the number of words that share a suffix
    :param words: a list of strings
    :return: a dictionary whose keys are two-character suffixes and whose values
    are the number of words with those suffixes
    >>> suffix_count([])
    {}
    >>> suffix_count(['apple', 'banana', 'pear'])
    {'le': 1, 'na': 1, 'ar': 1}
    >>> suffix_count(['apple', 'sparkle', 'pineapple', 'wonder'])
    {'le': 3, 'er': 1}
    >>> suffix_count(['a', 'i', 'apple', 'sparkle', 'pineapple', 'wonder', 'er', 'a'])
    {'le': 3, 'er': 2}
    """
    pass


def digit_count(numbers):
    """
    Count the number of numbers that end with each digit
    :param numbers: a list of non-negative integers
    :return: a dictionary where the keys are digits and the values are the number
    of numbers that end in that digit
    >>> digit_count([34, 44, 54, 10])
    {4: 3, 0: 1}
    >>> digit_count([])
    {}
    >>> digit_count([1])
    {1: 1}
    """
    pass


def census_names(filename):
    """
    Counts the number of last names that start with each letter. The format
    of the census file is:

    last_name,first_name,relationship,gender,race,age,marital_status

    :param filename: a census filename
    :return: a dictionary whose keys are characters and whose values are the
    number of last names in the census file that start with that letter.
    >>> census_names('census.txt')
    {'B': 4, 'S': 6, 'Z': 2}
    >>> census_names('census2.txt')
    {'P': 7, 'M': 4, 'K': 3, 'R': 1}
    """
    pass


def number_of_vowels(word):
    """
    Count the number of vowels in a word

    :param word: a string
    :return: the number of vowels in the string
    >>> number_of_vowels('apple')
    2
    >>> number_of_vowels('banana')
    3
    >>> number_of_vowels('spry')
    0
    >>> number_of_vowels('happiness')
    3
    """
    pass


def vowel_count(filename):
    """
    Count the number of words in the file that have a certain number of vowels
    in them.

    :param filename: a file with words, one per line
    :return: a dictionary where the keys are numbers and the values are
        the number of words with that many vowels
    >>> vowel_count('words.txt')
    {2: 4, 3: 3}
    >>> vowel_count('wordle-answers.txt')
    {2: 1339, 3: 227, 1: 733, 4: 3, 0: 13}
    """
    pass


def decrypt(sentence, key):
    """
    Decode a string using the given key
    :param sentence: a string
    :param key: a dictionary that maps a character to another character
    :return: a new string, where each letter is decoded using the supplied key
    >>> decrypt('pvrvrv', {'p': 'b', 'v': 'a', 'r': 'n'})
    'banana'
    >>> decrpyt('hello', {'h': 's', 'e': 'a', 'l': 'p', 'o': 'y'})
    'sappy'
    >>> decrypt('vhc esz edzqhbz!', {'a': 'b', 'b': 'm', 'c': 'u', 'd': 'w', 'e': 'a', 'f': 'j', 'g': 'v', 'h': 'o', 'i': 'x', 'j': 'n', 'k': 't', 'l': 'q', 'm': 'z', 'n': 'i', 'o': 'c', 'p': 'f', 'q': 's', 'r': 'l', 's': 'r', 't': 'h', 'u': 'd', 'v': 'y', 'w': 'p', 'x': 'k', 'y': 'g', 'z': 'e'})
    'you are awesome!'
    """
    pass
